AnsweredAssumed Answered

add toolbar in drawing

Question asked by Sanjay Phadke on Jan 6, 2014
Latest reply on Jan 8, 2014 by Simon Turner

Hello all I have used following code to add toolbar

 

 

'Toolbar---------------------------------------------------------------------------------

 

 

    axToolbarID = axSldWorks.AddToolbar3(AXCookie, "MYTOOL", 101, 102, 0, swDocTemplateTypeDRAWING)

 

result of this MYTOOL is avaialble in in view--->toolbar but does not display toolbar

 

   axToolbarID = axSldWorks.AddToolbar4(AXCookie, "newtool", "101", "102", 0, swDocTemplateTypeDRAWING)

 

result of this newtool does not show at all  in view--->toolbar

 

bRet = axSldWorks.AddToolbar("", "test", 101, 102)

 

 

result of this test is avaialble in in view--->toolbar & displays as well toolbar but buttons does not execute callback

 

    bRet = axSldWorks.AddToolbarCommand2(AXCookie, axToolbarID, 0, "projectst", "EnableIfPart", "ss", "ww")

    bRet = axSldWorks.AddToolbarCommand2(AXCookie, axToolbarID, 1, "showReports", "EnableIfPart", "qq", "aa")

 

I have inclused in my vb6 programme .res file for bitmaps 101 & 102

 

kindly guide me for the same so that I can get my new toolbar activated properly in drawing environment with button showing images correctly

and respective functions gets executed.

 

Regards

 

Sanjay Phadke

Outcomes